﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media.Imaging;

namespace trade_akapralov.classes
{
    public class Product
    {
        public int ProductID { get; set; }
        public string ProductArticleNumber { get; set; }
        public string ProductDescription { get; set; }
        public string ProductName { get; set; }
        public int ProductCategoryID { get; set; }
        public byte[] ProductPhoto { get; set; }
        public int ManufacturerID { get; set; }
        public decimal ProductCost { get; set; }
        public byte? ProductDiscountAmount { get; set; }
        public int ProductQuantityInStock { get; set; }
        public string ManufacturerName { get; set; }
        public string ProductCategoryName { get; set; }

        // Добавлено свойство для пути к изображению
        public string ProductPhotoPath { get; set; }
        public Product()
        {
            // Пример для правильного пути
            ProductPhotoPath = "file:///C:/Users/Neptu/source/repos/trade_akapralov/trade_akapralov/bin/Debug/net8.0-windows/photo/" + ProductArticleNumber + ".jpg";
        }

    }
}



